﻿IncludeFile "C:\Users\Micha\Desktop\Barcode_Module\Source\Barcode_Module.pbi"

EnableExplicit
UseModule Common
UseModule Barcode
Define EAN13.s, EAN13_Sequence.s, Checksum.i, Result.i

;Ein EAN13 ohne Prüfziffer
EAN13.s = "210987654321"

; EAN13 Prüfziffer generieren lassen
Checksum = Generate_EAN13_Checksum(EAN13.s)
If Checksum.i > 9
  Debug "Fehler :" + Checksum.i
  End
EndIf

;EAN13 Sequence erzeugen
EAN13.s + Str(Checksum.i)
EAN13_Sequence.s = Generate_EAN13_Sequence(EAN13.s)
If Len(EAN13_Sequence.s) <> 95
  Debug "Fehler :" + EAN13_Sequence.s
  End
EndIf


NewList Barcode.Barcode_Parameter() ;Alle Barcodes die gedruckt werden sollen
NewList Text.Text_Line()            ;Alle Textzeilen gedruckt werden sollen
Define Printer.Print_Parameter      ;Druckparameter

;Papiergrösse/Druckparameter. Alle Größenangaben in Millimeter!
Printer\Page_width = 210            ;A4
Printer\Page_height = 297           ;A4
Printer\Left_edge = 20              ;20mm Rand
Printer\Right_edge = 20             ;20mm Rand
Printer\Top_edge = 20               ;20mm Rand
Printer\Upper_edge = 20             ;20mm Rand
Printer\Pages = 1                   ;Anzahl zu druckender Seiten
Printer\Print_Requester = #True     ;#False für Standarddrucker, #True für Drucker Auswahl

;Einen EAN13 hinzufügen. Alle Größenangaben in Millimeter!
AddElement(Barcode())
Barcode()\Type = "EAN13"                  ;Aktuell wird "EAN8" und "EAN13" unterstützt
Barcode()\Barcode = EAN13.s               ;Die Barcodeziffern inkl. Prüfziffer
Barcode()\Font = "Arial"                  ;Zeichensatz für Ziffern. Leer lassen wenn keine Ziffern erzeugt werden sollen
Barcode()\Sequence = EAN13_Sequence.s     ;Wurde von <Generate_EAN13_Sequence(EAN13.s)> erzeugt
Barcode()\Width = 30                      ;Die Barcode Breite
Barcode()\Height = 20                     ;Die Barcode Höhe
Barcode()\PosX = 90                       ;Position
Barcode()\PosY = 50                       ;Position
Barcode()\Color0_RGB = "255,255,255"      ;Linienfarbe1 als RGB getrennt durch Komma
Barcode()\Color1_RGB = "0,0,0"            ;Linienfarbe1 als RGB getrennt durch Komma
Barcode()\ColorDigits_RGB = "0,0,0"       ;Farbe der Ziffern als RGB getrennt durch Komma


Result.i = Print_Barcode(Barcode(), Printer, Text())
If Result.i <> 1
  Debug "Fehler :" + Result.i
EndIf




; IDE Options = PureBasic 5.61 (Windows - x64)
; CursorPosition = 9
; EnableXP