﻿IncludeFile "C:\Users\Micha\Desktop\Barcode_Module\Source\Barcode_Module.pbi"

EnableExplicit
UseModule Common
UseModule Barcode
Define Dim EAN.s(2), Dim EAN_Sequence.s(2), Dim Checksum.i(2), Result.i

;EAN13 und EAN8 ohne Prüfziffer
EAN.s(0) = "910927604321"
EAN.s(1) = "3568914"
EAN.s(02) = "710917604421"

; EAN13/8 Prüfziffer generieren lassen
Checksum.i(0) = Generate_EAN13_Checksum(EAN.s(0))
If Checksum.i(0) > 9
  Debug "Fehler :" + Checksum.i(0)
  End
EndIf
Checksum.i(1) = Generate_EAN8_Checksum(EAN.s(1))
If Checksum.i(1) > 9
  Debug "Fehler :" + Checksum.i(1)
  End
EndIf
Checksum.i(2) = Generate_EAN13_Checksum(EAN.s(2))
If Checksum.i(2) > 9
  Debug "Fehler :" + Checksum.i(2)
  End
EndIf

;EAN8/13 Sequence erzeugen
EAN.s(0) + Str(Checksum.i(0))
EAN_Sequence.s(0) = Generate_EAN13_Sequence(EAN.s(0))
If Len(EAN_Sequence.s(0)) <> 95
  Debug "Fehler :" + EAN_Sequence.s(0)
  End
EndIf
EAN.s(1) + Str(Checksum.i(1))
EAN_Sequence.s(1) = Generate_EAN8_Sequence(EAN.s(1))
If Len(EAN_Sequence.s(1)) <> 67
  Debug "Fehler :" + EAN_Sequence.s(1)
  End
EndIf
EAN.s(2) + Str(Checksum.i(2))
EAN_Sequence.s(2) = Generate_EAN13_Sequence(EAN.s(2))
If Len(EAN_Sequence.s(2)) <> 95
  Debug "Fehler :" + EAN_Sequence.s(2)
  End
EndIf


NewList Barcode.Barcode_Parameter() ;Alle Barcodes die gedruckt werden sollen
NewList Text.Text_Line()            ;Alle Textzeilen gedruckt werden sollen
Define Printer.Print_Parameter      ;Druckparameter

;Papiergrösse/Druckparameter. Alle Größenangaben in Millimeter!
Printer\Page_width = 210            ;A4
Printer\Page_height = 297           ;A4
Printer\Left_edge = 20              ;20mm Rand
Printer\Right_edge = 20             ;20mm Rand
Printer\Top_edge = 20               ;20mm Rand
Printer\Upper_edge = 20             ;20mm Rand
Printer\Pages = 1                   ;Anzahl zu druckender Seiten
Printer\Print_Requester = #True     ;#False für Standarddrucker, #True für Drucker Auswahl

;Einen EAN13 hinzufügen. Alle Größenangaben in Millimeter!
AddElement(Barcode())
Barcode()\Type = "EAN13"                  ;Aktuell wird "EAN8" und "EAN13" unterstützt
Barcode()\Barcode = EAN.s(0)              ;Die Barcodeziffern inkl. Prüfziffer
Barcode()\Font = "Arial"                  ;Zeichensatz für Ziffern. Leer lassen wenn keine Ziffern erzeugt werden sollen
Barcode()\Sequence = EAN_Sequence.s(0)    ;Wurde von <Generate_EAN13_Sequence(EAN13.s)> erzeugt
Barcode()\Width = 100                     ;Die Barcode Breite
Barcode()\Height = 80                     ;Die Barcode Höhe
Barcode()\PosX = 30                       ;Position
Barcode()\PosY = 50                       ;Position
Barcode()\Color0_RGB = "255,255,255"      ;Linienfarbe1 als RGB getrennt durch Komma
Barcode()\Color1_RGB = "0,0,0"            ;Linienfarbe1 als RGB getrennt durch Komma
Barcode()\ColorDigits_RGB = "100,100,100" ;Farbe der Ziffern als RGB getrennt durch Komma
;Einen EAN8
AddElement(Barcode())
Barcode()\Type = "EAN8"
Barcode()\Barcode = EAN.s(1)
Barcode()\Font = "Arial"
Barcode()\Sequence = EAN_Sequence.s(1)
Barcode()\Width = 40
Barcode()\Height = 20
Barcode()\PosX = 30
Barcode()\PosY = 160
Barcode()\Color0_RGB = "255,255,255"
Barcode()\Color1_RGB = "0,0,0"
Barcode()\ColorDigits_RGB = "0,0,0"
;Einen weiterer EAN13
AddElement(Barcode())
Barcode()\Type = "EAN13"
Barcode()\Barcode = EAN.s(2)
Barcode()\Font = ""
Barcode()\Sequence = EAN_Sequence.s(2)
Barcode()\Width = 30
Barcode()\Height = 60
Barcode()\PosX = 30
Barcode()\PosY = 200
Barcode()\Color0_RGB = "255,255,255"
Barcode()\Color1_RGB = "0,0,0"
Barcode()\ColorDigits_RGB = "0,0,0"

;Eine Textzeile hinzufügen
AddElement (Text())
Text()\Text = "Ein EAN13. Ziffernfarbe: 100,100,100"
Text()\Font = "Arial"
Text()\Font_Size = 24
Text()\TextColor_RGB = "0,0,0"
Text()\Text_Style = #PB_Font_Underline|#PB_Font_Italic
Text()\Text_PosX = 30
Text()\Text_PosY = 35
;Einen weiteren Text hinzufügen
AddElement (Text())
Text()\Text = "Ein EAN8"
Text()\Font = "Impact"
Text()\Font_Size = 18
Text()\TextColor_RGB = "0,0,0"
Text()\Text_Style = 0
Text()\Text_PosX = 30
Text()\Text_PosY = 150
;Und noch eine Textzeile
AddElement (Text())
Text()\Text = "EAN13 ohne Ziffern"
Text()\Font = "Arial"
Text()\Font_Size = 18
Text()\TextColor_RGB = "0,0,0"
Text()\Text_Style = 0
Text()\Text_PosX = 30
Text()\Text_PosY = 190

Result.i = Print_Barcode(Barcode(), Printer, Text())
If Result.i <> 1
  Debug "Fehler :" + Result.i
EndIf




; IDE Options = PureBasic 5.61 (Windows - x64)
; CursorPosition = 1
; EnableXP